---
search:
  tags:
    - Brands
    - GET
seo:
  description: >-
    List a brand's prompts. Reference for the GET /brands/{brand_id}/prompts
    endpoint in the Zaraftis Public API.
sidebar:
  label: List a brand's prompts
  badge: GET
title: List a brand's prompts
type: openapi-operation
---
`GET /brands/{brand_id}/prompts`

**Responses**

- `200` — One prompt list page
- `404` — not\_found: unknown id, or an id this key cannot see

Response example, 200:

```json
{
  "success": true,
  "data": {
    "items": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "text": "string",
        "topic_id": "646807af-5da6-43aa-83d3-8ac1d15ab4e5",
        "status": "active"
      }
    ],
    "pagination": {
      "has_more": true,
      "next_page_token": "string"
    }
  },
  "request_id": "string"
}
```
